/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PARAVEND                                                 */
/* Tabela : PARAVEND                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 27/11/2004 - Ronaldo Amaral Costa                                          */
/*                                                                            */
/******************************************************************************/


CREATE OR REPLACE TRIGGER DTULTATU_PARAVEND
BEFORE INSERT OR UPDATE OR DELETE
ON PARAVEND FOR EACH ROW
DECLARE
  V_IDUT VARCHAR2(1);
BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPAVN := SYSDATE;
      SELECT MAX(P.IDUTMODPRODFIL)
         INTO V_IDUT
         FROM PARAMFILIAL P
        WHERE CDFILIAL = :NEW.CDFILIAL;
      IF V_IDUT IS NOT NULL THEN
         :NEW.IDUTILMODPROD := V_IDUT;
      END IF;
   END IF;
   IF UPDATING THEN
      :NEW.DTULTATUPAVN := SYSDATE;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PARAVEND',:OLD.CDFILIAL, 'CDFILIAL='||:OLD.CDFILIAL||';CDPARAVEND='||:OLD.CDPARAVEND||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE PARAVEND MODIFY DTULTATUPAVN DEFAULT SYSDATE
/

UPDATE PARAVEND SET DTULTATUPAVN = SYSDATE WHERE DTULTATUPAVN IS NULL
/

